Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.ui.basicauth
Class BasicProcessingFilterEntryPoint

    java.lang.Object
      org.acegisecurity.ui.basicauth.BasicProcessingFilterEntryPoint

All Implemented Interfaces:
  AuthenticationEntryPoint, InitializingBean

    public class BasicProcessingFilterEntryPoint

extends Object
implements AuthenticationEntryPoint, InitializingBean

Used by the `SecurityEnforcementFilter` to commence authentication via the `BasicProcessingFilter`.

Once a user agent is authenticated using BASIC authentication, logout requires that the browser be closed or an unauthorized (401) header be sent. The simplest way of achieving the latter is to call the `#commence(ServletRequest, ServletResponse)` method below. This will indicate to the browser its credentials are no longer authorized, causing it to prompt the user to login again.

Version:
  $Id: BasicProcessingFilterEntryPoint.java,v 1.4 2005/11/17 00:56:48 benalex Exp $
Author:
  Ben Alex

Constructor Summary
`BasicProcessingFilterEntryPoint()`

Method Summary
`void` | `afterPropertiesSet()`
`void` | `commence(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, AuthenticationException authException)` Commences an authentication scheme.
`String` | `getRealmName()`
`void` | `setRealmName(String realmName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicProcessingFilterEntryPoint

    public BasicProcessingFilterEntryPoint()

Method Detail

### setRealmName

    public void setRealmName(String realmName)

### getRealmName

    public String getRealmName()

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

### commence

    public void commence(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         AuthenticationException authException)
                  throws IOException,
                         javax.servlet.ServletException

  Description copied from interface: `AuthenticationEntryPoint`
  Commences an authentication scheme.

  `SecurityEnforcementFilter` will populate the `HttpSession` attribute named `AuthenticationProcessingFilter.ACEGI_SECURITY_TARGET_URL_KEY` with the requested target URL before calling this method.

  Implementations should modify the headers on the `ServletResponse` as necessary to commence the authentication process.

  Specified by:
    `commence` in interface `AuthenticationEntryPoint`
  Parameters:
    `request` - that resulted in an `AuthenticationException`
    `response` - so that the user agent can begin authentication
    `authException` - that caused the invocation
  Throws:
    `IOException`
    `javax.servlet.ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.